# Uses of Interface
com.fasterxml.jackson.annotation.ObjectIdResolver

## Uses of ObjectIdResolver in com.fasterxml.jackson.annotation

Classes in com.fasterxml.jackson.annotation that implement ObjectIdResolver
Modifier and Type
Class
Description
`class`
`SimpleObjectIdResolver`
Simple implementation of `ObjectIdResolver`
Methods in com.fasterxml.jackson.annotation that return ObjectIdResolver
Modifier and Type
Method
Description
`ObjectIdResolver`
ObjectIdResolver.`newForDeserialization(Object context)`
Factory method called to create a new instance to use for deserialization: needed since resolvers may have state (a pool of objects).
`ObjectIdResolver`
SimpleObjectIdResolver.`newForDeserialization(Object context)`
Methods in com.fasterxml.jackson.annotation with parameters of type ObjectIdResolver
Modifier and Type
Method
Description
`boolean`
ObjectIdResolver.`canUseFor(ObjectIdResolver resolverType)`
Method called to check whether this resolver instance can be used for Object Ids of specific resolver type; determination is based by passing a configured "blueprint" (prototype) instance; from which the actual instances are created (using `newForDeserialization(java.lang.Object)`).
`boolean`
SimpleObjectIdResolver.`canUseFor(ObjectIdResolver resolverType)`